package com.community.huiju.model;

import java.util.Date;
import java.util.List;

public class TpTransactionReply {

    private Integer id;

    private Integer communityId;

    private Integer transactionId;

    private Integer taUserId;

    private String taUserName;

    private String replyContent;

    private Integer replyTaUserId;

    private String replyTaUserName;

    private Date createDate;

    /**
     * 住户端 的角色
     */
    private String taRoleName;

    /**
     * 被回复人 的角色
     */
    private String replyRoleName;

    /**
     * 回复的图片
     * @return
     */
    private List<String> imgList;

    /**
     *0代表app端用户，1代表物业端用户
     * @return
     */
    private String releaseIdentity;

    /**
     * 用于查询app端角色，物业端不维护
     * @param releaseIdentity
     */
    private  Integer taUserVerifyId;

    private String roomNoName;

    public String getRoomNoName() {
        return roomNoName;
    }

    public void setRoomNoName(String roomNoName) {
        this.roomNoName = roomNoName;
    }

    public void setTaUserVerifyId(Integer taUserVerifyId) {
        this.taUserVerifyId = taUserVerifyId;
    }

    public Integer getTaUserVerifyId() {
        return taUserVerifyId;
    }

    public void setReleaseIdentity(String releaseIdentity) {
        this.releaseIdentity = releaseIdentity;
    }

    public String getReleaseIdentity() {
        return releaseIdentity;
    }

    public List<String> getImgList() {
        return imgList;
    }

    public void setImgList(List<String> imgList) {
        this.imgList = imgList;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getCommunityId() {
        return communityId;
    }

    public void setCommunityId(Integer communityId) {
        this.communityId = communityId;
    }

    public Integer getTransactionId() {
        return transactionId;
    }

    public void setTransactionId(Integer transactionId) {
        this.transactionId = transactionId;
    }

    public Integer getTaUserId() {
        return taUserId;
    }

    public void setTaUserId(Integer taUserId) {
        this.taUserId = taUserId;
    }

    public String getTaUserName() {
        return taUserName;
    }

    public void setTaUserName(String taUserName) {
        this.taUserName = taUserName == null ? null : taUserName.trim();
    }

    public String getReplyContent() {
        return replyContent;
    }

    public void setReplyContent(String replyContent) {
        this.replyContent = replyContent == null ? null : replyContent.trim();
    }

    public Integer getReplyTaUserId() {
        return replyTaUserId;
    }

    public void setReplyTaUserId(Integer replyTaUserId) {
        this.replyTaUserId = replyTaUserId;
    }

    public String getReplyTaUserName() {
        return replyTaUserName;
    }

    public void setReplyTaUserName(String replyTaUserName) {
        this.replyTaUserName = replyTaUserName == null ? null : replyTaUserName.trim();
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    public String getTaRoleName() {
        return taRoleName;
    }

    public void setTaRoleName(String taRoleName) {
        this.taRoleName = taRoleName;
    }

    public String getReplyRoleName() {
        return replyRoleName;
    }

    public void setReplyRoleName(String replyRoleName) {
        this.replyRoleName = replyRoleName;
    }
}